DROP RULE()

NAME
DROP RULE - remove a rewrite rule

SYNOPSIS

DROP RULE [ IF EXISTS ] name ON relation [ CASCADE | RESTRICT ]

DESCRIPTION

DROP RULE drops a rewrite rule.

PARAMETERS

IF EXISTS
    Do not throw an error if the rule does not exist. A notice is issued in this case.

name
    The name of the rule to drop.

relation
    The name (optionally schema-qualified) of the table or view that the rule applies to.

CASCADE
    Automatically drop objects that depend on the rule.

RESTRICT
    Refuse to drop the rule if any objects depend on it. This is the default.

EXAMPLES

To drop the rewrite rule newrule:

DROP RULE newrule ON mytable;

COMPATIBILITY

There is no DROP RULE statement in the SQL standard.

SEE ALSO
CREATE RULE [create_rule(7)]